小白提问: 一键部署 问题
发布于 4 个月前 作者 dsawild 245 次浏览 来自 问答

Docker一键部署

ubuntu 一键脚本 wget https://raw.githubusercontent.com/QUANTAXIS/QUANTAXIS/master/config/install_docker.sh sudo bash install_docker.sh

微信图片_20200229133533.png

linux 安装 一键部署 微信图片_20200229132416.png

手动安装

  1. 安装mongo 不能安装 微信图片_20200229164525.png

上面这些是第一天的苦,留个纪念吧

2 回复

小白 告白,要想玩这个,一定要有一台可以科学上网的路由器,不然你下载境外的源码与文件,会让你明白人生的。 ubuntu19.01下 安装docker

也不知走了多少路,自己多不知道怎成功了,ubuntu19.01版,安装docker,及sudo docker-compose up -d 我全复制下来,希望对小白们有用。 root@fd:/home/fd# apt-get upgrade Reading package lists… Done Building dependency tree
Reading state information… Done Calculating upgrade… Done The following package was automatically installed and is no longer required: libdumbnet1 Use ‘apt autoremove’ to remove it. The following packages will be upgraded: apport base-files bsdutils cloud-init dmidecode fdisk fwupd fwupd-signed grub-common grub-efi-amd64 grub-efi-amd64-bin grub-efi-amd64-signed grub2-common gzip klibc-utils landscape-common libblkid1 libc-bin libc-dev-bin libc6 libc6-dev libfdisk1 libfwupd2 libklibc libmount1 libnss-systemd libpam-modules libpam-modules-bin libpam-runtime libpam-systemd libpam0g libplymouth4 libpython3.7 libpython3.7-minimal libpython3.7-stdlib libsmartcols1 libsystemd0 libudev1 libuuid1 linux-firmware locales mdadm mount open-vm-tools plymouth plymouth-theme-ubuntu-text python3-apport python3-distupgrade python3-gdbm python3-problem-report python3.7 python3.7-minimal sosreport systemd systemd-sysv ubuntu-minimal ubuntu-release-upgrader-core ubuntu-server ubuntu-standard udev unattended-upgrades update-notifier-common util-linux uuid-runtime 64 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. Need to get 115 MB of archives. After this operation, 581 kB of additional disk space will be used. Do you want to continue? [Y/n] y Get:1 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libc6-dev amd64 2.30-0ubuntu2.1 [2,550 kB] Get:2 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libc-dev-bin amd64 2.30-0ubuntu2.1 [71.6 kB] Get:3 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libc6 amd64 2.30-0ubuntu2.1 [2,726 kB] Get:4 http://mirrors.163.com/ubuntu eoan-updates/main amd64 base-files amd64 10.2ubuntu7.19.10.0 [60.6 kB] Get:5 http://mirrors.163.com/ubuntu eoan-updates/main amd64 bsdutils amd64 1:2.34-0.1ubuntu2.2 [63.7 kB] Get:6 http://mirrors.163.com/ubuntu eoan-updates/main amd64 gzip amd64 1.10-0ubuntu3.1 [95.3 kB] Get:7 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libblkid1 amd64 2.34-0.1ubuntu2.2 [137 kB] Get:8 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libuuid1 amd64 2.34-0.1ubuntu2.2 [20.5 kB] Get:9 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libfdisk1 amd64 2.34-0.1ubuntu2.2 [175 kB] Get:10 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libmount1 amd64 2.34-0.1ubuntu2.2 [149 kB] Get:11 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libsmartcols1 amd64 2.34-0.1ubuntu2.2 [101 kB] Get:12 http://mirrors.163.com/ubuntu eoan-updates/main amd64 fdisk amd64 2.34-0.1ubuntu2.2 [119 kB] Get:13 http://mirrors.163.com/ubuntu eoan-updates/main amd64 util-linux amd64 2.34-0.1ubuntu2.2 [1,021 kB] Get:14 http://mirrors.163.com/ubuntu eoan-updates/main amd64 mount amd64 2.34-0.1ubuntu2.2 [115 kB] Get:15 http://mirrors.163.com/ubuntu eoan-updates/main amd64 locales all 2.30-0ubuntu2.1 [3,867 kB] Get:16 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libc-bin amd64 2.30-0ubuntu2.1 [634 kB] Get:17 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libpam0g amd64 1.3.1-5ubuntu1.19.10.1 [55.9 kB] Get:18 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libpam-modules-bin amd64 1.3.1-5ubuntu1.19.10.1 [37.6 kB] Get:19 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libpam-modules amd64 1.3.1-5ubuntu1.19.10.1 [250 kB] Get:20 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libnss-systemd amd64 242-7ubuntu3.7 [126 kB] Get:21 http://mirrors.163.com/ubuntu eoan-updates/main amd64 udev amd64 242-7ubuntu3.7 [1,201 kB] Get:22 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libudev1 amd64 242-7ubuntu3.7 [76.9 kB] Get:23 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libsystemd0 amd64 242-7ubuntu3.7 [261 kB] Get:24 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libpam-systemd amd64 242-7ubuntu3.7 [130 kB] Get:25 http://mirrors.163.com/ubuntu eoan-updates/main amd64 systemd amd64 242-7ubuntu3.7 [3,439 kB] Get:26 http://mirrors.163.com/ubuntu eoan-updates/main amd64 systemd-sysv amd64 242-7ubuntu3.7 [9,356 B] Get:27 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libpam-runtime all 1.3.1-5ubuntu1.19.10.1 [37.3 kB] Get:28 http://mirrors.163.com/ubuntu eoan-updates/main amd64 python3.7 amd64 3.7.5-2~19.10 [301 kB] Get:29 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libpython3.7 amd64 3.7.5-2~19.10 [1,483 kB] Get:30 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libpython3.7-stdlib amd64 3.7.5-2~19.10 [1,731 kB] Get:31 http://mirrors.163.com/ubuntu eoan-updates/main amd64 python3.7-minimal amd64 3.7.5-2~19.10 [1,766 kB] Get:32 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libpython3.7-minimal amd64 3.7.5-2~19.10 [546 kB] Get:33 http://mirrors.163.com/ubuntu eoan-updates/main amd64 uuid-runtime amd64 2.34-0.1ubuntu2.2 [35.3 kB] Get:34 http://mirrors.163.com/ubuntu eoan-updates/main amd64 update-notifier-common all 3.192.26.1 [162 kB] Get:35 http://mirrors.163.com/ubuntu eoan-updates/main amd64 ubuntu-minimal amd64 1.440.1 [2,856 B] Get:36 http://mirrors.163.com/ubuntu eoan-updates/main amd64 dmidecode amd64 3.2-2ubuntu0.1 [59.3 kB] Get:37 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libplymouth4 amd64 0.9.4git20190712-0ubuntu4.1 [98.9 kB] Get:38 http://mirrors.163.com/ubuntu eoan-updates/main amd64 plymouth-theme-ubuntu-text amd64 0.9.4git20190712-0ubuntu4.1 [9,516 B] Get:39 http://mirrors.163.com/ubuntu eoan-updates/main amd64 plymouth amd64 0.9.4git20190712-0ubuntu4.1 [121 kB] Get:40 http://mirrors.163.com/ubuntu eoan-updates/main amd64 ubuntu-release-upgrader-core all 1:19.10.15.4 [23.4 kB] Get:41 http://mirrors.163.com/ubuntu eoan-updates/main amd64 python3-distupgrade all 1:19.10.15.4 [102 kB] Get:42 http://mirrors.163.com/ubuntu eoan-updates/main amd64 python3-gdbm amd64 3.7.5-1build1 [15.8 kB] Get:43 http://mirrors.163.com/ubuntu eoan-updates/main amd64 ubuntu-standard amd64 1.440.1 [2,900 B] Get:44 http://mirrors.163.com/ubuntu eoan-updates/main amd64 grub-efi-amd64-signed amd64 1.128.1+2.04-1ubuntu12.1 [467 kB] Get:45 http://mirrors.163.com/ubuntu eoan-updates/main amd64 grub2-common amd64 2.04-1ubuntu12.1 [588 kB] Get:46 http://mirrors.163.com/ubuntu eoan-updates/main amd64 grub-efi-amd64 amd64 2.04-1ubuntu12.1 [30.7 kB] Get:47 http://mirrors.163.com/ubuntu eoan-updates/main amd64 grub-efi-amd64-bin amd64 2.04-1ubuntu12.1 [700 kB] Get:48 http://mirrors.163.com/ubuntu eoan-updates/main amd64 grub-common amd64 2.04-1ubuntu12.1 [1,859 kB] Get:49 http://mirrors.163.com/ubuntu eoan-updates/main amd64 python3-problem-report all 2.20.11-0ubuntu8.4 [10.0 kB] Get:50 http://mirrors.163.com/ubuntu eoan-updates/main amd64 python3-apport all 2.20.11-0ubuntu8.4 [82.9 kB] Get:51 http://mirrors.163.com/ubuntu eoan-updates/main amd64 apport all 2.20.11-0ubuntu8.4 [126 kB] Get:52 http://mirrors.163.com/ubuntu eoan-updates/main amd64 fwupd-signed amd64 1.10.2+1.2.10-1ubuntu4 [26.7 kB] Get:53 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libfwupd2 amd64 1.2.10-1ubuntu4 [46.7 kB] Get:54 http://mirrors.163.com/ubuntu eoan-updates/main amd64 fwupd amd64 1.2.10-1ubuntu4 [2,483 kB] Get:55 http://mirrors.163.com/ubuntu eoan-updates/main amd64 klibc-utils amd64 2.0.6-1ubuntu3 [95.7 kB] Get:56 http://mirrors.163.com/ubuntu eoan-updates/main amd64 libklibc amd64 2.0.6-1ubuntu3 [41.9 kB] Get:57 http://mirrors.163.com/ubuntu eoan-updates/main amd64 landscape-common amd64 18.01-0ubuntu9.1 [85.5 kB] Get:58 http://mirrors.163.com/ubuntu eoan-updates/main amd64 linux-firmware all 1.183.4 [83.1 MB] Get:59 http://mirrors.163.com/ubuntu eoan-updates/main amd64 mdadm amd64 4.1-2ubuntu3.2 [416 kB]
Get:60 http://mirrors.163.com/ubuntu eoan-updates/main amd64 sosreport amd64 3.6-1ubuntu3.1 [136 kB]
Get:61 http://mirrors.163.com/ubuntu eoan-updates/main amd64 open-vm-tools amd64 2:11.0.1-2ubuntu0.19.10.2 [546 kB]
Get:62 http://mirrors.163.com/ubuntu eoan-updates/main amd64 ubuntu-server amd64 1.440.1 [2,764 B]
Get:63 http://mirrors.163.com/ubuntu eoan-updates/main amd64 unattended-upgrades all 1.14ubuntu1.2 [47.6 kB]
Get:64 http://mirrors.163.com/ubuntu eoan-updates/main amd64 cloud-init all 19.4-33-gbb4131a2-0ubuntu1~19.10.1 [405 kB] Fetched 115 MB in 11s (10.2 MB/s)
Extracting templates from packages: 100% Preconfiguring packages … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/libc6-dev_2.30-0ubuntu2.1_amd64.deb … Unpacking libc6-dev:amd64 (2.30-0ubuntu2.1) over (2.30-0ubuntu2) … Preparing to unpack …/libc-dev-bin_2.30-0ubuntu2.1_amd64.deb … Unpacking libc-dev-bin (2.30-0ubuntu2.1) over (2.30-0ubuntu2) … Preparing to unpack …/libc6_2.30-0ubuntu2.1_amd64.deb … Unpacking libc6:amd64 (2.30-0ubuntu2.1) over (2.30-0ubuntu2) … Setting up libc6:amd64 (2.30-0ubuntu2.1) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/base-files_10.2ubuntu7.19.10.0_amd64.deb … Warning: Stopping motd-news.service, but it can still be activated by: motd-news.timer Unpacking base-files (10.2ubuntu7.19.10.0) over (10.2ubuntu7) … Setting up base-files (10.2ubuntu7.19.10.0) … Installing new version of config file /etc/update-motd.d/50-motd-news … motd-news.service is a disabled or a static unit, not starting it. (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/bsdutils_1%3a2.34-0.1ubuntu2.2_amd64.deb … Unpacking bsdutils (1:2.34-0.1ubuntu2.2) over (1:2.34-0.1ubuntu2) … Setting up bsdutils (1:2.34-0.1ubuntu2.2) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/gzip_1.10-0ubuntu3.1_amd64.deb … Unpacking gzip (1.10-0ubuntu3.1) over (1.10-0ubuntu3) … Setting up gzip (1.10-0ubuntu3.1) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/libblkid1_2.34-0.1ubuntu2.2_amd64.deb … Unpacking libblkid1:amd64 (2.34-0.1ubuntu2.2) over (2.34-0.1ubuntu2) … Setting up libblkid1:amd64 (2.34-0.1ubuntu2.2) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/libuuid1_2.34-0.1ubuntu2.2_amd64.deb … Unpacking libuuid1:amd64 (2.34-0.1ubuntu2.2) over (2.34-0.1ubuntu2) … Setting up libuuid1:amd64 (2.34-0.1ubuntu2.2) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/libfdisk1_2.34-0.1ubuntu2.2_amd64.deb … Unpacking libfdisk1:amd64 (2.34-0.1ubuntu2.2) over (2.34-0.1ubuntu2) … Setting up libfdisk1:amd64 (2.34-0.1ubuntu2.2) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/libmount1_2.34-0.1ubuntu2.2_amd64.deb … Unpacking libmount1:amd64 (2.34-0.1ubuntu2.2) over (2.34-0.1ubuntu2) … Setting up libmount1:amd64 (2.34-0.1ubuntu2.2) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/libsmartcols1_2.34-0.1ubuntu2.2_amd64.deb … Unpacking libsmartcols1:amd64 (2.34-0.1ubuntu2.2) over (2.34-0.1ubuntu2) … Setting up libsmartcols1:amd64 (2.34-0.1ubuntu2.2) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/fdisk_2.34-0.1ubuntu2.2_amd64.deb … Unpacking fdisk (2.34-0.1ubuntu2.2) over (2.34-0.1ubuntu2) … Setting up fdisk (2.34-0.1ubuntu2.2) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/util-linux_2.34-0.1ubuntu2.2_amd64.deb … Unpacking util-linux (2.34-0.1ubuntu2.2) over (2.34-0.1ubuntu2) … Setting up util-linux (2.34-0.1ubuntu2.2) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/mount_2.34-0.1ubuntu2.2_amd64.deb … Unpacking mount (2.34-0.1ubuntu2.2) over (2.34-0.1ubuntu2) … Setting up mount (2.34-0.1ubuntu2.2) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/locales_2.30-0ubuntu2.1_all.deb … Unpacking locales (2.30-0ubuntu2.1) over (2.30-0ubuntu2) … Preparing to unpack …/libc-bin_2.30-0ubuntu2.1_amd64.deb … Unpacking libc-bin (2.30-0ubuntu2.1) over (2.30-0ubuntu2) … Setting up libc-bin (2.30-0ubuntu2.1) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/libpam0g_1.3.1-5ubuntu1.19.10.1_amd64.deb … Unpacking libpam0g:amd64 (1.3.1-5ubuntu1.19.10.1) over (1.3.1-5ubuntu1) … Setting up libpam0g:amd64 (1.3.1-5ubuntu1.19.10.1) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/libpam-modules-bin_1.3.1-5ubuntu1.19.10.1_amd64.deb … Unpacking libpam-modules-bin (1.3.1-5ubuntu1.19.10.1) over (1.3.1-5ubuntu1) … Setting up libpam-modules-bin (1.3.1-5ubuntu1.19.10.1) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/libpam-modules_1.3.1-5ubuntu1.19.10.1_amd64.deb … Unpacking libpam-modules:amd64 (1.3.1-5ubuntu1.19.10.1) over (1.3.1-5ubuntu1) … Setting up libpam-modules:amd64 (1.3.1-5ubuntu1.19.10.1) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/libnss-systemd_242-7ubuntu3.7_amd64.deb … Unpacking libnss-systemd:amd64 (242-7ubuntu3.7) over (242-7ubuntu3.6) … Preparing to unpack …/udev_242-7ubuntu3.7_amd64.deb … Unpacking udev (242-7ubuntu3.7) over (242-7ubuntu3.6) … Preparing to unpack …/libudev1_242-7ubuntu3.7_amd64.deb … Unpacking libudev1:amd64 (242-7ubuntu3.7) over (242-7ubuntu3.6) … Setting up libudev1:amd64 (242-7ubuntu3.7) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/libsystemd0_242-7ubuntu3.7_amd64.deb … Unpacking libsystemd0:amd64 (242-7ubuntu3.7) over (242-7ubuntu3.6) … Setting up libsystemd0:amd64 (242-7ubuntu3.7) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/libpam-systemd_242-7ubuntu3.7_amd64.deb … Unpacking libpam-systemd:amd64 (242-7ubuntu3.7) over (242-7ubuntu3.6) … Preparing to unpack …/systemd_242-7ubuntu3.7_amd64.deb … Unpacking systemd (242-7ubuntu3.7) over (242-7ubuntu3.6) … Setting up systemd (242-7ubuntu3.7) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/systemd-sysv_242-7ubuntu3.7_amd64.deb … Unpacking systemd-sysv (242-7ubuntu3.7) over (242-7ubuntu3.6) … Setting up systemd-sysv (242-7ubuntu3.7) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/libpam-runtime_1.3.1-5ubuntu1.19.10.1_all.deb … Unpacking libpam-runtime (1.3.1-5ubuntu1.19.10.1) over (1.3.1-5ubuntu1) … Setting up libpam-runtime (1.3.1-5ubuntu1.19.10.1) … (Reading database … 112765 files and directories currently installed.) Preparing to unpack …/00-python3.7_3.7.5-2~19.10_amd64.deb … Unpacking python3.7 (3.7.5-2~19.10) over (3.7.5~rc1-2) … Preparing to unpack …/01-libpython3.7_3.7.5-2~19.10_amd64.deb … Unpacking libpython3.7:amd64 (3.7.5-2~19.10) over (3.7.5~rc1-2) … Preparing to unpack …/02-libpython3.7-stdlib_3.7.5-2~19.10_amd64.deb … Unpacking libpython3.7-stdlib:amd64 (3.7.5-2~19.10) over (3.7.5~rc1-2) … Preparing to unpack …/03-python3.7-minimal_3.7.5-2~19.10_amd64.deb … Unpacking python3.7-minimal (3.7.5-2~19.10) over (3.7.5~rc1-2) … Preparing to unpack …/04-libpython3.7-minimal_3.7.5-2~19.10_amd64.deb … Unpacking libpython3.7-minimal:amd64 (3.7.5-2~19.10) over (3.7.5~rc1-2) … Preparing to unpack …/05-uuid-runtime_2.34-0.1ubuntu2.2_amd64.deb … Unpacking uuid-runtime (2.34-0.1ubuntu2.2) over (2.34-0.1ubuntu2) … Preparing to unpack …/06-update-notifier-common_3.192.26.1_all.deb … Unpacking update-notifier-common (3.192.26.1) over (3.192.26) … Preparing to unpack …/07-ubuntu-minimal_1.440.1_amd64.deb … Unpacking ubuntu-minimal (1.440.1) over (1.440) … Preparing to unpack …/08-dmidecode_3.2-2ubuntu0.1_amd64.deb … Unpacking dmidecode (3.2-2ubuntu0.1) over (3.2-2) … Preparing to unpack …/09-libplymouth4_0.9.4git20190712-0ubuntu4.1_amd64.deb … Unpacking libplymouth4:amd64 (0.9.4git20190712-0ubuntu4.1) over (0.9.4git20190712-0ubuntu4) … Preparing to unpack …/10-plymouth-theme-ubuntu-text_0.9.4git20190712-0ubuntu4.1_amd64.deb … Unpacking plymouth-theme-ubuntu-text (0.9.4git20190712-0ubuntu4.1) over (0.9.4git20190712-0ubuntu4) … Preparing to unpack …/11-plymouth_0.9.4git20190712-0ubuntu4.1_amd64.deb … Unpacking plymouth (0.9.4git20190712-0ubuntu4.1) over (0.9.4git20190712-0ubuntu4) … Preparing to unpack …/12-ubuntu-release-upgrader-core_1%3a19.10.15.4_all.deb … Unpacking ubuntu-release-upgrader-core (1:19.10.15.4) over (1:19.10.15) … Preparing to unpack …/13-python3-distupgrade_1%3a19.10.15.4_all.deb … Unpacking python3-distupgrade (1:19.10.15.4) over (1:19.10.15) … Preparing to unpack …/14-python3-gdbm_3.7.5-1build1_amd64.deb … Unpacking python3-gdbm:amd64 (3.7.5-1build1) over (3.7.5~rc1-1) … Preparing to unpack …/15-ubuntu-standard_1.440.1_amd64.deb … Unpacking ubuntu-standard (1.440.1) over (1.440) … Preparing to unpack …/16-grub-efi-amd64-signed_1.128.1+2.04-1ubuntu12.1_amd64.deb … Unpacking grub-efi-amd64-signed (1.128.1+2.04-1ubuntu12.1) over (1.128+2.04-1ubuntu12) … Preparing to unpack …/17-grub2-common_2.04-1ubuntu12.1_amd64.deb … Unpacking grub2-common (2.04-1ubuntu12.1) over (2.04-1ubuntu12) … Preparing to unpack …/18-grub-efi-amd64_2.04-1ubuntu12.1_amd64.deb … Unpacking grub-efi-amd64 (2.04-1ubuntu12.1) over (2.04-1ubuntu12) … Preparing to unpack …/19-grub-efi-amd64-bin_2.04-1ubuntu12.1_amd64.deb … Unpacking grub-efi-amd64-bin (2.04-1ubuntu12.1) over (2.04-1ubuntu12) … Preparing to unpack …/20-grub-common_2.04-1ubuntu12.1_amd64.deb … Unpacking grub-common (2.04-1ubuntu12.1) over (2.04-1ubuntu12) … Preparing to unpack …/21-python3-problem-report_2.20.11-0ubuntu8.4_all.deb … Unpacking python3-problem-report (2.20.11-0ubuntu8.4) over (2.20.11-0ubuntu8.2) … Preparing to unpack …/22-python3-apport_2.20.11-0ubuntu8.4_all.deb … Unpacking python3-apport (2.20.11-0ubuntu8.4) over (2.20.11-0ubuntu8.2) … Preparing to unpack …/23-apport_2.20.11-0ubuntu8.4_all.deb … Unpacking apport (2.20.11-0ubuntu8.4) over (2.20.11-0ubuntu8.2) … Preparing to unpack …/24-fwupd-signed_1.10.2+1.2.10-1ubuntu4_amd64.deb … Unpacking fwupd-signed (1.10.2+1.2.10-1ubuntu4) over (1.10+1.2.10-1ubuntu2) … Preparing to unpack …/25-libfwupd2_1.2.10-1ubuntu4_amd64.deb … Unpacking libfwupd2:amd64 (1.2.10-1ubuntu4) over (1.2.10-1ubuntu2) … Preparing to unpack …/26-fwupd_1.2.10-1ubuntu4_amd64.deb … Unpacking fwupd (1.2.10-1ubuntu4) over (1.2.10-1ubuntu2) … Preparing to unpack …/27-klibc-utils_2.0.6-1ubuntu3_amd64.deb … Unpacking klibc-utils (2.0.6-1ubuntu3) over (2.0.6-1ubuntu1) … Preparing to unpack …/28-libklibc_2.0.6-1ubuntu3_amd64.deb … Unpacking libklibc:amd64 (2.0.6-1ubuntu3) over (2.0.6-1ubuntu1) … Preparing to unpack …/29-landscape-common_18.01-0ubuntu9.1_amd64.deb … Unpacking landscape-common (18.01-0ubuntu9.1) over (18.01-0ubuntu9) … Preparing to unpack …/30-linux-firmware_1.183.4_all.deb … Unpacking linux-firmware (1.183.4) over (1.183.2) … Preparing to unpack …/31-mdadm_4.1-2ubuntu3.2_amd64.deb … Unpacking mdadm (4.1-2ubuntu3.2) over (4.1-2ubuntu3) … Preparing to unpack …/32-sosreport_3.6-1ubuntu3.1_amd64.deb … Unpacking sosreport (3.6-1ubuntu3.1) over (3.6-1ubuntu3) … Preparing to unpack …/33-open-vm-tools_2%3a11.0.1-2ubuntu0.19.10.2_amd64.deb … Unpacking open-vm-tools (2:11.0.1-2ubuntu0.19.10.2) over (2:10.3.10-3ubuntu1) … Preparing to unpack …/34-ubuntu-server_1.440.1_amd64.deb … Unpacking ubuntu-server (1.440.1) over (1.440) … Preparing to unpack …/35-unattended-upgrades_1.14ubuntu1.2_all.deb … Unpacking unattended-upgrades (1.14ubuntu1.2) over (1.14ubuntu1) … Preparing to unpack …/36-cloud-init_19.4-33-gbb4131a2-0ubuntu1~19.10.1_all.deb … Unpacking cloud-init (19.4-33-gbb4131a2-0ubuntu1~19.10.1) over (19.2-36-g059d049c-0ubuntu3) … Setting up cloud-init (19.4-33-gbb4131a2-0ubuntu1~19.10.1) … Installing new version of config file /etc/cloud/cloud.cfg … Installing new version of config file /etc/cloud/cloud.cfg.d/README … Setting up linux-firmware (1.183.4) … update-initramfs: Generating /boot/initrd.img-5.3.0-40-generic update-initramfs: Generating /boot/initrd.img-5.3.0-18-generic apt-get install <packagename> Setting up python3-gdbm:amd64 (3.7.5-1build1) … Setting up python3-problem-report (2.20.11-0ubuntu8.4) … Setting up update-notifier-common (3.192.26.1) … Installing new version of config file /etc/update-motd.d/90-updates-available … Setting up libfwupd2:amd64 (1.2.10-1ubuntu4) … Setting up libnss-systemd:amd64 (242-7ubuntu3.7) … Setting up python3-distupgrade (1:19.10.15.4) … Setting up locales (2.30-0ubuntu2.1) … Generating locales (this might take a while)… en_US.UTF-8… done Generation complete. Setting up landscape-common (18.01-0ubuntu9.1) … Setting up libpython3.7-minimal:amd64 (3.7.5-2~19.10) … Setting up python3-apport (2.20.11-0ubuntu8.4) … Setting up grub-common (2.04-1ubuntu12.1) … update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults Setting up libklibc:amd64 (2.0.6-1ubuntu3) … Setting up unattended-upgrades (1.14ubuntu1.2) … Replacing config file /etc/apt/apt.conf.d/50unattended-upgrades with new version Setting up udev (242-7ubuntu3.7) … update-initramfs: deferring update (trigger activated) Setting up ubuntu-release-upgrader-core (1:19.10.15.4) … Setting up python3.7-minimal (3.7.5-2~19.10) … Setting up sosreport (3.6-1ubuntu3.1) … Setting up libplymouth4:amd64 (0.9.4git20190712-0ubuntu4.1) … Setting up open-vm-tools (2:11.0.1-2ubuntu0.19.10.2) … Installing new version of config file /etc/vmware-tools/vm-support … Setting up uuid-runtime (2.34-0.1ubuntu2.2) … Setting up libpam-systemd:amd64 (242-7ubuntu3.7) … Setting up dmidecode (3.2-2ubuntu0.1) … Setting up grub-efi-amd64-bin (2.04-1ubuntu12.1) … Setting up libc-dev-bin (2.30-0ubuntu2.1) … Setting up klibc-utils (2.0.6-1ubuntu3) … Setting up fwupd (1.2.10-1ubuntu4) … fwupd-offline-update.service is a disabled or a static unit not running, not starting it. fwupd.service is a disabled or a static unit not running, not starting it. Setting up mdadm (4.1-2ubuntu3.2) … update-initramfs: deferring update (trigger activated) Sourcing file /etc/default/grub' Sourcing file/etc/default/grub.d/init-select.cfg’ Generating grub configuration file … Found linux image: /boot/vmlinuz-5.3.0-40-generic Found initrd image: /boot/initrd.img-5.3.0-40-generic Found linux image: /boot/vmlinuz-5.3.0-18-generic Found initrd image: /boot/initrd.img-5.3.0-18-generic File descriptor 3 (pipe:[69294]) leaked on lvs invocation. Parent PID 32539: /bin/sh /dev/sdb: open failed: No medium found Adding boot menu entry for EFI firmware configuration done mdcheck_continue.timer is a disabled or a static unit not running, not starting it. Setting up libpython3.7-stdlib:amd64 (3.7.5-2~19.10) … Setting up ubuntu-minimal (1.440.1) … Setting up libpython3.7:amd64 (3.7.5-2~19.10) … Setting up plymouth (0.9.4git20190712-0ubuntu4.1) … update-initramfs: deferring update (trigger activated) update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults Setting up grub2-common (2.04-1ubuntu12.1) … Setting up fwupd-signed (1.10.2+1.2.10-1ubuntu4) … Setting up ubuntu-standard (1.440.1) … Setting up apport (2.20.11-0ubuntu8.4) … apport-autoreport.service is a disabled or a static unit, not starting it. Setting up plymouth-theme-ubuntu-text (0.9.4git20190712-0ubuntu4.1) … update-initramfs: deferring update (trigger activated) Setting up grub-efi-amd64 (2.04-1ubuntu12.1) … Installing for x86_64-efi platform. Installation finished. No error reported. Sourcing file /etc/default/grub' Sourcing file/etc/default/grub.d/init-select.cfg’ Generating grub configuration file … Found linux image: /boot/vmlinuz-5.3.0-40-generic Found initrd image: /boot/initrd.img-5.3.0-40-generic Found linux image: /boot/vmlinuz-5.3.0-18-generic Found initrd image: /boot/initrd.img-5.3.0-18-generic /dev/sdb: open failed: No medium found Adding boot menu entry for EFI firmware configuration done Setting up ubuntu-server (1.440.1) … Setting up libc6-dev:amd64 (2.30-0ubuntu2.1) … Setting up python3.7 (3.7.5-2~19.10) … Setting up grub-efi-amd64-signed (1.128.1+2.04-1ubuntu12.1) … Installing for x86_64-efi platform. Installation finished. No error reported. Processing triggers for rsyslog (8.1901.0-1ubuntu4) … Processing triggers for systemd (242-7ubuntu3.7) … Processing triggers for man-db (2.8.7-3) … Processing triggers for dbus (1.12.14-1ubuntu2) … Processing triggers for install-info (6.6.0.dfsg.1-2ubuntu2) … Processing triggers for mime-support (3.63ubuntu1) … Processing triggers for libc-bin (2.30-0ubuntu2.1) … Processing triggers for initramfs-tools (0.133ubuntu10) … update-initramfs: Generating /boot/initrd.img-5.3.0-40-generic Processing triggers for shim-signed (1.39+15+1533136590.3beb971-0ubuntu1) … root@fd:/home/fd# curl -sSL https://get.daocloud.io/docker-experimental | sh apparmor is enabled in the kernel and apparmor utils were already installed

E: Package ‘docker-engine’ has no installation candidate root@fd:/home/fd# curl -sSL https://get.daocloud.io/docker-test | sh

Executing docker install script, commit: ecfa0264ab63d8c31290b7290a32df52c40114b4

Hit:1 http://mirrors.aliyun.com/ubuntu xenial InRelease Hit:2 http://mirrors.163.com/ubuntu eoan InRelease
Hit:3 http://mirrors.163.com/ubuntu eoan-updates InRelease
Hit:4 http://mirrors.aliyun.com/ubuntu xenial-updates InRelease
Hit:5 http://mirrors.aliyun.com/ubuntu xenial-backports InRelease
Hit:6 http://mirrors.aliyun.com/ubuntu xenial-security InRelease
Err:7 https://get.daocloud.io/docker/apt-repo ubuntu-eoan InRelease
403 FORBIDDEN [IP: 106.75.86.15 443] Hit:8 https://download.docker.com/linux/ubuntu eoan InRelease
Err:9 http://ppa.launchpad.net/jonathonf/python-3.6/ubuntu eoan InRelease
403 Forbidden [IP: 91.189.95.83 80] Ign:10 https://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.6 InRelease
Ign:11 https://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/4.0 InRelease
Hit:12 http://archive.ubuntu.com/ubuntu xenial InRelease
Hit:13 https://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.6 Release Hit:14 http://mirrors.163.com/ubuntu eoan-backports InRelease
Hit:15 http://mirrors.163.com/ubuntu eoan-security InRelease
Hit:16 https://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/4.0 Release Hit:17 http://archive.canonical.com/ubuntu xenial InRelease Reading package lists… Done E: Failed to fetch https://get.daocloud.io/docker/apt-repo/dists/ubuntu-eoan/InRelease 403 FORBIDDEN [IP: 106.75.86.15 443] E: The repository ‘https://get.daocloud.io/docker/apt-repo ubuntu-eoan InRelease’ is not signed. N: Updating from such a repository can’t be done securely, and is therefore disabled by default. N: See apt-secure(8) manpage for repository creation and user configuration details. E: Failed to fetch http://ppa.launchpad.net/jonathonf/python-3.6/ubuntu/dists/eoan/InRelease 403 Forbidden [IP: 91.189.95.83 80] E: The repository ‘http://ppa.launchpad.net/jonathonf/python-3.6/ubuntu eoan InRelease’ is not signed. N: Updating from such a repository can’t be done securely, and is therefore disabled by default. N: See apt-secure(8) manpage for repository creation and user configuration details. root@fd:/home/fd# root@fd:/home/fd# 作者:JerryWang_汪子熙 作者:JerryWang_汪子熙: command not found root@fd:/home/fd# 链接:https://www.jianshu.com/p/ae2ed49bf734 bash: 链接:https://www.jianshu.com/p/ae2ed49bf734: No such file or directory root@fd:/home/fd# 来源:简书 来源:简书: command not found root@fd:/home/fd# 著作权归作者所有。商业转载请联系作者获得授权,非商业转载请注明出处。 著作权归作者所有。商业转载请联系作者获得授权,非商业转载请注明出处。: command not found root@fd:/home/fd# sudo apt-get update Hit:1 http://mirrors.163.com/ubuntu eoan InRelease Hit:2 http://mirrors.163.com/ubuntu eoan-updates InRelease
Hit:3 http://mirrors.163.com/ubuntu eoan-backports InRelease
Hit:4 http://mirrors.163.com/ubuntu eoan-security InRelease
Hit:5 http://mirrors.aliyun.com/ubuntu xenial InRelease
Hit:6 http://mirrors.aliyun.com/ubuntu xenial-updates InRelease
Hit:7 http://mirrors.aliyun.com/ubuntu xenial-backports InRelease
Err:8 https://get.daocloud.io/docker/apt-repo ubuntu-eoan InRelease
403 FORBIDDEN [IP: 106.75.86.15 443] Hit:9 http://mirrors.aliyun.com/ubuntu xenial-security InRelease
Hit:10 https://download.docker.com/linux/ubuntu eoan InRelease
Err:11 http://ppa.launchpad.net/jonathonf/python-3.6/ubuntu eoan InRelease
403 Forbidden [IP: 91.189.95.83 80] Ign:12 https://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.6 InRelease
Ign:13 https://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/4.0 InRelease Hit:14 https://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/3.6 Release Hit:15 https://repo.mongodb.org/apt/ubuntu xenial/mongodb-org/4.0 Release Hit:16 http://archive.ubuntu.com/ubuntu xenial InRelease Hit:17 http://archive.canonical.com/ubuntu xenial InRelease Reading package lists… Done E: Failed to fetch https://get.daocloud.io/docker/apt-repo/dists/ubuntu-eoan/InRelease 403 FORBIDDEN [IP: 106.75.86.15 443] E: The repository ‘https://get.daocloud.io/docker/apt-repo ubuntu-eoan InRelease’ is not signed. N: Updating from such a repository can’t be done securely, and is therefore disabled by default. N: See apt-secure(8) manpage for repository creation and user configuration details. E: Failed to fetch http://ppa.launchpad.net/jonathonf/python-3.6/ubuntu/dists/eoan/InRelease 403 Forbidden [IP: 91.189.95.83 80] E: The repository ‘http://ppa.launchpad.net/jonathonf/python-3.6/ubuntu eoan InRelease’ is not signed. N: Updating from such a repository can’t be done securely, and is therefore disabled by default. N: See apt-secure(8) manpage for repository creation and user configuration details. root@fd:/home/fd# sudo apt-get install -y docker-ce Reading package lists… Done Building dependency tree
Reading state information… Done Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation:

The following packages have unmet dependencies: docker-ce : Depends: containerd.io (>= 1.2.2-3) but it is not installable Recommends: aufs-tools but it is not going to be installed Recommends: cgroupfs-mount but it is not going to be installed or cgroup-lite but it is not going to be installed Recommends: pigz but it is not going to be installed Recommends: libltdl7 but it is not going to be installed E: Unable to correct problems, you have held broken packages. root@fd:/home/fd# Some packages could not be installed. This may mean that you have

Command ‘Some’ not found, did you mean:

command ‘tome’ from deb tome (2.4~0.git.2015.12.29-1.2build3)

Try: apt install <deb name>

root@fd:/home/fd# requested an impossible situation or if you are using the unstable requested: command not found root@fd:/home/fd# distribution that some required packages have not yet been created

Command ‘distribution’ not found, did you mean:

command ‘gdistribution’ from deb genometester (4.0+git20180508.a9c14a6+dfsg-1)

Try: apt install <deb name>

root@fd:/home/fd# or been moved out of Incoming. or: command not found root@fd:/home/fd# The following information may help to resolve the situation:

Command ‘The’ not found, did you mean:

command ‘the’ from deb the (3.3~rc1-3build1) command ‘he’ from deb node-he (1.2.0-1)

Try: apt install <deb name>

root@fd:/home/fd# root@fd:/home/fd# The following packages have unmet dependencies:

Command ‘The’ not found, did you mean:

command ‘he’ from deb node-he (1.2.0-1) command ‘the’ from deb the (3.3~rc1-3build1)

Try: apt install <deb name>

root@fd:/home/fd# docker-ce : Depends: containerd.io (>= 1.2.2-3) but it is not installable bash: syntax error near unexpected token `(' root@fd:/home/fd# Recommends: aufs-tools but it is not going to be installed Recommends:: command not found root@fd:/home/fd# Recommends: cgroupfs-mount but it is not going to be installed or Recommends:: command not found root@fd:/home/fd# cgroup-lite but it is not going to be installed cgroup-lite: command not found root@fd:/home/fd# Recommends: pigz but it is not going to be installed Recommends:: command not found root@fd:/home/fd# sudo curl -L “https://github.com/docker/compose/releases/download/1.25.4/docker-compose-$(uname -s)-$(uname -m)” -o /usr/local/bin/docker-compose % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 617 100 617 0 0 572 0 0:00:01 0:00:01 --:–:-- 572 100 16.3M 100 16.3M 0 0 1366k 0 0:00:12 0:00:12 --:–:-- 1494k root@fd:/home/fd# sudo chmod +x /usr/local/bin/docker-compose root@fd:/home/fd# sudo chmod +x /usr/local/bin/docker-compose root@fd:/home/fd# sudo apt install curl Reading package lists… Done Building dependency tree
Reading state information… Done curl is already the newest version (7.65.3-1ubuntu3). The following package was automatically installed and is no longer required: libdumbnet1 Use ‘sudo apt autoremove’ to remove it. 0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. root@fd:/home/fd# sudo ln -s /usr/local/bin/docker-compose /usr/bin/docker-compose root@fd:/home/fd# sudo ln -s /usr/local/bin/docker-compose /usr/bin/docker-compose ln: failed to create symbolic link ‘/usr/bin/docker-compose’: File exists root@fd:/home/fd# sudo ln -s /usr/local/bin/docker-compose /usr/bin/docker-compose ln: failed to create symbolic link ‘/usr/bin/docker-compose’: File exists root@fd:/home/fd# docker-compose --version docker-compose version 1.25.4, build 8d51620a root@fd:/home/fd# wget https://raw.githubusercontent.com/QUANTAXIS/QUANTAXIS/master/docker/qaservice_docker.sh –2020-03-01 01:40:39-- https://raw.githubusercontent.com/QUANTAXIS/QUANTAXIS/master/docker/qaservice_docker.sh Resolving raw.githubusercontent.com (raw.githubusercontent.com)… 151.101.192.133, 151.101.128.133, 151.101.64.133, … Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.192.133|:443… connected. HTTP request sent, awaiting response… 200 OK Length: 355 [text/plain] Saving to: ‘qaservice_docker.sh.2’

qaservice_docker.sh.2 100%[=================================================>] 355 --.-KB/s in 0s

2020-03-01 01:40:40 (11.7 MB/s) - ‘qaservice_docker.sh.2’ saved [355/355]

root@fd:/home/fd# sudo bash qaservice_docker.sh QUANTAXIS_DOCKER_SERVICE mkdir: cannot create directory ‘quantaxis_docker’: File exists –2020-03-01 01:40:53-- https://raw.githubusercontent.com/QUANTAXIS/QUANTAXIS/master/docker/qa-service/docker-compose.yaml Resolving raw.githubusercontent.com (raw.githubusercontent.com)… 151.101.192.133, 151.101.128.133, 151.101.64.133, … Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.192.133|:443… connected. HTTP request sent, awaiting response… 200 OK Length: 4740 (4.6K) [text/plain] Saving to: ‘docker-compose.yaml.2’

docker-compose.yaml.2 100%[=================================================>] 4.63K --.-KB/s in 0s

2020-03-01 01:40:54 (15.7 MB/s) - ‘docker-compose.yaml.2’ saved [4740/4740]

qaservice_docker.sh: line 5: docker: command not found qaservice_docker.sh: line 6: docker: command not found ERROR: Couldn’t connect to Docker daemon. You might need to install Docker:

https://docs.docker.com/engine/installation/ root@fd:/home/fd# ls Anaconda3-5.1.0-Linux-x86_64.sh get-pip.py qaservice_docker.sh.2 Anaconda3-5.1.0-Linux-x86_64.sh.1 install_docker.sh quantaxis_docker Anaconda3-5.1.0-Linux-x86_64.sh.2 install_docker.sh.1 ubuntu16.sh Anaconda3-5.1.0-Linux-x86_64.sh.3 install_docker.sh.2 ubuntu16.sh.1 Anaconda3-5.1.0-Linux-x86_64.sh.4 mongodb-linux-x86_64-3.0.6.tgz ubuntu16.sh.2 Anaconda3-5.1.0-Linux-x86_64.sh.5 mongodb-linux-x86_64-ubuntu1604-4.2.3 wget-log docker-compose.yaml mongodb-linux-x86_64-ubuntu1604-4.2.3.tgz yes docker-compose.yaml.1 qaservice_docker.sh docker-compose.yaml.2 qaservice_docker.sh.1 root@fd:/home/fd# docker-compose up -d ERROR: Couldn’t connect to Docker daemon. You might need to install Docker:

https://docs.docker.com/engine/installation/ root@fd:/home/fd# sudo docker-compose up -d ERROR: Couldn’t connect to Docker daemon. You might need to install Docker:

https://docs.docker.com/engine/installation/ root@fd:/home/fd# docker-compose --version docker-compose version 1.25.4, build 8d51620a root@fd:/home/fd# docker-compose up -d ERROR: Couldn’t connect to Docker daemon. You might need to install Docker:

https://docs.docker.com/engine/installation/ root@fd:/home/fd# docker-compose up ERROR: Couldn’t connect to Docker daemon. You might need to install Docker:

https://docs.docker.com/engine/installation/ root@fd:/home/fd# sudo docker-compose up -d ERROR: Couldn’t connect to Docker daemon. You might need to install Docker:

https://docs.docker.com/engine/installation/ root@fd:/home/fd# sudo apt-get install \

apt-transport-https \
ca-certificates \
curl \
gnupg-agent \
software-properties-common

Reading package lists… Done Building dependency tree
Reading state information… Done ca-certificates is already the newest version (20190110). curl is already the newest version (7.65.3-1ubuntu3). software-properties-common is already the newest version (0.98.5). apt-transport-https is already the newest version (1.9.4). The following package was automatically installed and is no longer required: libdumbnet1 Use ‘sudo apt autoremove’ to remove it. The following NEW packages will be installed: gnupg-agent 0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded. Need to get 4,820 B of archives. After this operation, 44.0 kB of additional disk space will be used. Do you want to continue? [Y/n] y Get:1 http://mirrors.163.com/ubuntu eoan/universe amd64 gnupg-agent all 2.2.12-1ubuntu3 [4,820 B] Fetched 4,820 B in 0s (52.5 kB/s)
Selecting previously unselected package gnupg-agent. (Reading database … 112784 files and directories currently installed.) Preparing to unpack …/gnupg-agent_2.2.12-1ubuntu3_all.deb … Unpacking gnupg-agent (2.2.12-1ubuntu3) … Setting up gnupg-agent (2.2.12-1ubuntu3) … root@fd:/home/fd# $ curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add - $: command not found gpg: no valid OpenPGP data found. root@fd:/home/fd# $ curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add - $: command not found gpg: no valid OpenPGP data found. root@fd:/home/fd# curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add - OK root@fd:/home/fd# curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add - OK root@fd:/home/fd# 9DC8 5822 9FC7 DD38 854A E2D8 8D81 803C 0EBF CD88 9DC8: command not found root@fd:/home/fd# curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo apt-key add - 9DC8 5822 9FC7 DD38 854A E2D8 8D81 803C 0EBF CD88 gpg: can’t open ‘9DC8’: No such file or directory gpg: can’t open ‘5822’: No such file or directory gpg: can’t open ‘9FC7’: No such file or directory gpg: can’t open ‘DD38’: No such file or directory gpg: can’t open ‘854A’: No such file or directory gpg: can’t open ‘E2D8’: No such file or directory gpg: can’t open ‘8D81’: No such file or directory gpg: can’t open ‘803C’: No such file or directory gpg: can’t open ‘0EBF’: No such file or directory gpg: can’t open ‘CD88’: No such file or directory root@fd:/home/fd# sudo apt-key fingerprint 0EBFCD88 pub rsa4096 2017-02-22 [SCEA] 9DC8 5822 9FC7 DD38 854A E2D8 8D81 803C 0EBF CD88 uid [ unknown] Docker Release (CE deb) docker@docker.com sub rsa4096 2017-02-22 [S]

root@fd:/home/fd#
root@fd:/home/fd# pub rsa4096 2017-02-22 [SCEA]

Command ‘pub’ not found, did you mean:

command ‘hub’ from snap hub (v2.14.1) command ‘dub’ from snap dub (1.18.0) command ‘puf’ from deb puf (1.0.0-7build1) command ‘pdb’ from deb python (2.7.17-1) command ‘hub’ from deb hub (2.7.0~ds1-1) command ‘publ’ from deb atfs (1.4pl6-14) command ‘pcb’ from deb pcb-gtk (1:4.2.0-2) command ‘pcb’ from deb pcb-lesstif (1:4.2.0-2) command ‘pua’ from deb pglistener (4) command ‘pu’ from deb biosig-tools (1.9.3-2) command ‘dub’ from deb dub (1.16.0-1build1)

See ‘snap info <snapname>’ for additional versions.

root@fd:/home/fd# 9DC8 5822 9FC7 DD38 854A E2D8 8D81 803C 0EBF CD88 9DC8: command not found root@fd:/home/fd# uid [ unknown] Docker Release (CE deb) docker@docker.com bash: syntax error near unexpected token `(' root@fd:/home/fd# docker-compose --version docker-compose version 1.25.4, build 8d51620a root@fd:/home/fd# sudo docker run hello-world sudo: docker: command not found root@fd:/home/fd# sudo service docker start Failed to start docker.service: Unit docker.service not found. root@fd:/home/fd# sudo service docker start Failed to start docker.service: Unit docker.service not found. root@fd:/home/fd# sudo systemctl status docker Unit docker.service could not be found. root@fd:/home/fd# docker

Command ‘docker’ not found, but can be installed with:

snap install docker # version 18.09.9, or apt install docker.io # version 19.03.2-0ubuntu1

See ‘snap info docker’ for additional versions.

root@fd:/home/fd# docker-compose --version docker-compose version 1.25.4, build 8d51620a root@fd:/home/fd# snap info docker name: docker summary: Docker container runtime publisher: Canonical✓ store-url: https://snapcraft.io/docker contact: snappy-devel@lists.ubuntu.com license: Apache-2.0 description: | Build and run container images with Docker.

This build requires all files that Docker uses, such as dockerfiles, to be in $HOME. Keep files there for ‘docker build’, ‘docker save’ and ‘docker load’.

This snap is built by Canonical based on source code published by Docker, Inc. It is not endorsed or published by Docker, Inc.

Docker and the Docker logo are trademarks or registered trademarks of Docker, Inc. in the United States and/or other countries. Docker, Inc. and other parties may also have trademark rights in other terms used herein. snap-id: sLCsFAO8PKM5Z0fAKNszUOX0YASjQfeZ channels: stable: 18.09.9 2019-11-18 (423) 126MB - candidate: 18.09.9 2019-11-17 (423) 126MB - beta: 18.09.9 2019-11-16 (423) 126MB - edge: 18.09.9 2019-11-16 (423) 126MB - 17.09/stable: –
17.09/candidate: 17.09.1-ce 2017-12-22 (232) 44MB - 17.09/beta: 17.09.1-ce 2017-12-20 (232) 44MB - 17.09/edge: 17.09.1-ce 2017-12-14 (232) 44MB - 17.06/stable: 17.06.2-ce 2017-12-22 (179) 43MB - 17.06/candidate: 17.06.2-ce 2017-10-10 (179) 43MB - 17.06/beta: ↑
17.06/edge: 17.06.2-ce-1 2018-01-03 (237) 44MB - 17.03/stable: 17.03.2-ce-1 2017-07-20 (159) 42MB - 17.03/candidate: 17.03.2-ce-1 2017-06-30 (159) 42MB - 17.03/beta: ↑
17.03/edge: 17.03.2-ce-1 2017-06-30 (159) 42MB - root@fd:/home/fd# apt install docker.io Reading package lists… Done Building dependency tree
Reading state information… Done The following package was automatically installed and is no longer required: libdumbnet1 Use ‘apt autoremove’ to remove it. The following additional packages will be installed: bridge-utils cgroupfs-mount containerd dns-root-data dnsmasq-base libidn11 pigz runc ubuntu-fan Suggested packages: ifupdown aufs-tools debootstrap docker-doc rinse zfs-fuse | zfsutils The following NEW packages will be installed: bridge-utils cgroupfs-mount containerd dns-root-data dnsmasq-base docker.io libidn11 pigz runc ubuntu-fan 0 upgraded, 10 newly installed, 0 to remove and 0 not upgraded. Need to get 71.2 MB of archives. After this operation, 345 MB of additional disk space will be used. Do you want to continue? [Y/n] y Get:1 http://mirrors.163.com/ubuntu eoan/universe amd64 pigz amd64 2.4-1 [57.4 kB] Get:2 http://mirrors.163.com/ubuntu eoan/main amd64 bridge-utils amd64 1.6-2ubuntu1 [30.5 kB] Get:3 http://mirrors.163.com/ubuntu eoan/universe amd64 cgroupfs-mount all 1.4 [6,320 B] Get:4 http://mirrors.163.com/ubuntu eoan/universe amd64 runc amd64 1.0.0~rc8+git20190923.3e425f80-0ubuntu1 [2,504 kB] Get:5 http://mirrors.163.com/ubuntu eoan-updates/universe amd64 containerd amd64 1.3.3-0ubuntu1~19.10.1 [28.5 MB] Get:6 http://mirrors.163.com/ubuntu eoan/main amd64 dns-root-data all 2019052802 [5,300 B] Get:7 http://mirrors.163.com/ubuntu eoan/main amd64 libidn11 amd64 1.33-2.2ubuntu2 [46.2 kB] Get:8 http://mirrors.163.com/ubuntu eoan/main amd64 dnsmasq-base amd64 2.80-1ubuntu2 [314 kB] Get:9 http://mirrors.163.com/ubuntu eoan/universe amd64 docker.io amd64 19.03.2-0ubuntu1 [39.7 MB] Get:10 http://mirrors.163.com/ubuntu eoan/main amd64 ubuntu-fan all 0.12.13 [34.5 kB]
Fetched 71.2 MB in 8s (8,540 kB/s)
Preconfiguring packages … Selecting previously unselected package pigz. (Reading database … 112788 files and directories currently installed.) Preparing to unpack …/0-pigz_2.4-1_amd64.deb … Unpacking pigz (2.4-1) … Selecting previously unselected package bridge-utils. Preparing to unpack …/1-bridge-utils_1.6-2ubuntu1_amd64.deb … Unpacking bridge-utils (1.6-2ubuntu1) … Selecting previously unselected package cgroupfs-mount. Preparing to unpack …/2-cgroupfs-mount_1.4_all.deb … Unpacking cgroupfs-mount (1.4) … Selecting previously unselected package runc. Preparing to unpack …/3-runc_1.0.0~rc8+git20190923.3e425f80-0ubuntu1_amd64.deb … Unpacking runc (1.0.0~rc8+git20190923.3e425f80-0ubuntu1) … Selecting previously unselected package containerd. Preparing to unpack …/4-containerd_1.3.3-0ubuntu1~19.10.1_amd64.deb … Unpacking containerd (1.3.3-0ubuntu1~19.10.1) … Selecting previously unselected package dns-root-data. Preparing to unpack …/5-dns-root-data_2019052802_all.deb … Unpacking dns-root-data (2019052802) … Selecting previously unselected package libidn11:amd64. Preparing to unpack …/6-libidn11_1.33-2.2ubuntu2_amd64.deb … Unpacking libidn11:amd64 (1.33-2.2ubuntu2) … Selecting previously unselected package dnsmasq-base. Preparing to unpack …/7-dnsmasq-base_2.80-1ubuntu2_amd64.deb … Unpacking dnsmasq-base (2.80-1ubuntu2) … Selecting previously unselected package docker.io. Preparing to unpack …/8-docker.io_19.03.2-0ubuntu1_amd64.deb … Unpacking docker.io (19.03.2-0ubuntu1) … Selecting previously unselected package ubuntu-fan. Preparing to unpack …/9-ubuntu-fan_0.12.13_all.deb … Unpacking ubuntu-fan (0.12.13) … Setting up runc (1.0.0~rc8+git20190923.3e425f80-0ubuntu1) … Setting up dns-root-data (2019052802) … Setting up libidn11:amd64 (1.33-2.2ubuntu2) … Setting up bridge-utils (1.6-2ubuntu1) … Setting up pigz (2.4-1) … Setting up cgroupfs-mount (1.4) … Setting up containerd (1.3.3-0ubuntu1~19.10.1) … Created symlink /etc/systemd/system/multi-user.target.wants/containerd.service → /lib/systemd/system/containerd.service. Setting up docker.io (19.03.2-0ubuntu1) … Adding group docker' (GID 116) ... Done. Created symlink /etc/systemd/system/sockets.target.wants/docker.socket → /lib/systemd/system/docker.socket. docker.service is a disabled or a static unit, not starting it. Setting up dnsmasq-base (2.80-1ubuntu2) ... Setting up ubuntu-fan (0.12.13) ... Created symlink /etc/systemd/system/multi-user.target.wants/ubuntu-fan.service → /lib/systemd/system/ubuntu-fan.service. Processing triggers for systemd (242-7ubuntu3.7) ... Processing triggers for man-db (2.8.7-3) ... Processing triggers for dbus (1.12.14-1ubuntu2) ... Processing triggers for libc-bin (2.30-0ubuntu2.1) ... root[@fd](/user/fd):/home/fd# sudo docker-compose up -dCreating network "fd_qanetwork" with the default driver ERROR: Volume qamg declared as external, but could not be found. Please create the volume manually usingdocker volume create --name=qamgand try again. root[@fd](/user/fd):/home/fd# docker volume create --name=qamg qamg root[@fd](/user/fd):/home/fd# sudo docker-compose up -d ERROR: Volume qacode declared as external, but could not be found. Please create the volume manually usingdocker volume create --name=qacode` and try again. root@fd:/home/fd# docker volume create --name=qacode qacode root@fd:/home/fd# sudo docker-compose up -d Pulling mgdb (daocloud.io/quantaxis/qamongo_single:latest)… latest: Pulling from quantaxis/qamongo_single 2b9ff7c56a16: Pull complete 21a79579f01c: Pull complete f2abf635abe7: Pull complete 2bf1969bf882: Pull complete 515e7d2914ba: Pull complete 2b9542affedc: Pull complete 776062d28f9b: Pull complete 49a374c6ac88: Pull complete 47e7c117ed85: Pull complete 3aa73db3d448: Pull complete f041f6625e43: Pull complete ab0ca14e148e: Pull complete a4a97fcdbc58: Pull complete Digest: sha256:afec5c979b6b28223096a96e288615d4f6a0b98753cba2135ed59648f749c922 Status: Downloaded newer image for daocloud.io/quantaxis/qamongo_single:latest Pulling qaeventmq (daocloud.io/quantaxis/qaeventmq:latest)… latest: Pulling from quantaxis/qaeventmq 5a5b056ce978: Pull complete cdf62c16aeee: Pull complete 95920e701d5e: Pull complete 1cb47f91779e: Pull complete 834aeb8bfce6: Pull complete 3407dc115970: Pull complete a003ac596878: Pull complete 5664c847e128: Pull complete d392687f8224: Pull complete 8b6336946e55: Pull complete dd7577d662e2: Pull complete 928bd21b5ae7: Pull complete Digest: sha256:4e8e2782832c1ba358c6ceb2bdebaa73c78a0453964075fd0e6834d3d9a6ae63 Status: Downloaded newer image for daocloud.io/quantaxis/qaeventmq:latest Pulling qaweb_run (daocloud.io/quantaxis/qarun:latest)… latest: Pulling from quantaxis/qarun 937ee78f8b25: Downloading [=============> ] 14.76MB/54.25MB ad0f6cbb8596: Download complete 384d5341e765: Download complete c6f28ff9f1e6: Download complete 2d21c767035c: Download complete 81707b3900c3: Download complete 4bc98a893373: Download complete 3d51f5cb31d2: Download complete d42afad76d32: Download complete d09f537bdc4e: Download complete be4885bb40d7: Downloading [============================================> ] 84.75MB/95.8MB 815ed7fe0348: Downloading [===> ] 29.47MB/445.6MB 219b91161467: Waiting f23452a23143: Waiting 51cc72e97963: Waiting 1a6ed3b63cdb: Waiting 8fb929e1d990: Waiting 96f0fd0e27e6: Waiting 9a92dca3e7ff: Pulling fs layer

如果不懂一点点 Linax 的基础,真的问出来的问题,回看自己去看,也会把自己笑死的,本想删除了,想想还是留着给后续小白们有个参考,像我这种不懂基础语言又想做程序化交易的后人们一点启示!!!

回到顶部